---
title: "e"
excerpt: "Return the value of Euler’s number `e`."
layout: manual
---

Return the value of Euler’s number `e`.



```js
e() -> number
```

### Tags

* `math`



### Returns

`number` 


### Examples

```js
exampleSketch = startSketchOn("XZ")
  |> startProfileAt([0, 0], %)
  |> angledLine({ angle = 30, length = 2 * e() ^ 2 }, %)
  |> yLineTo(0, %)
  |> close()

example = extrude(exampleSketch, length = 10)
```

![Rendered example of e 0](data:image/png;base64,[encoded data, 80284 characters])


